% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/methods.R
\name{CubistR}
\alias{CubistR}
\title{Cubist method for imputation}
\usage{
CubistR(x, y)
}
\arguments{
\item{x}{predictor matrix}

\item{y}{response vector}
}
\value{
a model object that can be used by the \code{\link[imputeR]{impute}} function
and the optimal value for the "neighbors".
}
\description{
Quinlan's Cubist model for imputation
}
\examples{
data(parkinson)
missdata <- SimIm(parkinson, 0.1)
\donttest{
impdata <- impute(missdata, lmFun = "CubistR")
}
}
\seealso{
\code{\link[Cubist]{cubist}}
}
